export function createService(context: API.AccessServiceContext): {
    authorize: API.ServiceMethod<API.Capability<"access/authorize", `did:key:${string}` & `did:${string}` & API.Phantom<{
        protocol: "did:";
    }>, import("@ucanto/validator").InferStruct<{
        iss: import("@ucanto/core/schema").Schema<(`did:mailto:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }>) | undefined, any>;
        att: import("@ucanto/core/schema").Schema<import("@ucanto/validator").InferStruct<{
            can: import("@ucanto/validator").StringSchema<string, unknown>;
        }>[], unknown>;
    }>>, API.AccessAuthorizeSuccess, API.Failure | (API.Failure & API.AccessAuthorizeFailure)>;
    delegate: API.ServiceMethod<API.Capability<"access/delegate", `did:key:${string}` & `did:${string}` & API.Phantom<{
        protocol: "did:";
    }>, Pick<{
        delegations: import("@web3-storage/capabilities/access").AccessDelegateDelegations;
    }, "delegations">>, API.Unit, API.Failure & (API.AccessDelegateFailure | undefined)>;
    claim: API.ServiceMethod<API.Capability<"access/claim", (`did:key:${string}` & `did:${string}` & API.Phantom<{
        protocol: "did:";
    }>) | (`did:mailto:${string}` & `did:${string}` & API.Phantom<{
        protocol: "did:";
    }>), {}>, API.AccessClaimSuccess, API.Failure & API.AccessClaimFailure>;
    confirm: API.ServiceMethod<API.Capability<"access/confirm", `did:${string}:${string}` & `did:${string}` & API.Phantom<{
        protocol: "did:";
    }>, Pick<{
        cause: API.Link<unknown, number, number, 1>;
        iss: `did:mailto:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }>;
        aud: `did:${string}:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }>;
        att: import("@ucanto/validator").InferStruct<{
            can: import("@ucanto/validator").StringSchema<string, unknown>;
        }>[];
    }, "att" | "iss" | "aud" | "cause">>, API.AccessConfirmSuccess, API.Failure & API.AccessConfirmFailure>;
};
import * as API from './types.js';
//# sourceMappingURL=access.d.ts.map