export function blobAllocateProvider(context: API.BlobServiceContext): API.ServiceMethod<API.BlobAllocate, API.BlobAllocateSuccess, API.BlobAllocateFailure>;
export function allocate(context: API.BlobServiceContext, { capability }: API.ProviderInput<API.BlobAllocate>): Promise<({
    ok?: undefined;
} & {
    error: Server.API.Failure;
}) | {
    error: UnsupportedCapability;
    ok?: undefined;
} | {
    ok: {
        size: number;
        address?: undefined;
    };
    error?: undefined;
} | {
    error: BlobSizeOutsideOfSupportedRange;
    ok?: undefined;
} | {
    ok: {
        size: number & Server.API.Phantom<{
            typeof: "integer";
        }>;
        address: {
            url: string;
            headers: {
                'x-amz-checksum-sha256': string;
                'content-length': string;
            } & Record<string, string>;
            expiresAt: string;
        };
    };
    error?: undefined;
}>;
import * as API from '../types.js';
//# sourceMappingURL=allocate.d.ts.map