export * from "./types.js";
export function createServer({ codec, ...options }: Omit<Types.UcantoServerContext, 'validateAuthorization'>): Agent<Types.Service>;
export function handle<S extends Record<string, any>, I extends Client.Transport.Tuple<Client.ServiceInvocation<Client.Capability<Client.Ability, `${string}:${string}`, any>, S>>>(agent: Agent<S>, request: Client.HTTPRequest<Client.AgentMessage<{
    In: Client.InferInvocations<I>;
    Out: Client.Transport.Tuple<Client.Receipt<any, any, Client.Invocation<Client.Capability<Client.Ability, `${string}:${string}`, unknown>>, Client.SigAlg>>;
}>>): Promise<Client.HTTPResponse<Client.AgentMessage<{
    Out: Client.InferReceipts<I, S>;
    In: Client.Transport.Tuple<Client.Invocation<Client.Capability<Client.Ability, `${string}:${string}`, unknown>>>;
}>>>;
export function execute<S extends Record<string, any>, I extends Client.Transport.Tuple>(agent: Agent<S>, input: Client.AgentMessage<{
    In: Client.InferInvocations<I>;
    Out: Client.Transport.Tuple<Client.Receipt<any, any, Client.Invocation<Client.Capability<Client.Ability, `${string}:${string}`, unknown>>, Client.SigAlg>>;
}>): Promise<Client.AgentMessage<{
    Out: Client.InferReceipts<I, S>;
    In: Client.Transport.Tuple<Client.Invocation<Client.Capability<Client.Ability, `${string}:${string}`, unknown>>>;
}>>;
export function run<S extends Record<string, any>>(agent: Agent<S>, invocation: Types.Invocation): Promise<Client.Receipt<{}, {}, Client.Invocation<Client.Capability<Client.Ability, `${string}:${string}`, unknown>>, Client.SigAlg>>;
export function createService(context: Types.ServiceContext): Types.Service;
export function connect({ id, channel, codec }: {
    id: Types.Principal;
    channel: Types.Transport.Channel<Types.Service>;
    codec?: Client.OutboundCodec | undefined;
}): Client.ConnectionView<Types.Service>;
export type WithContext = {
    context: Types.AgentContext;
};
export type Agent<S extends Record<string, any>> = Types.Server<S> & Types.ErrorReporter & WithContext & Types.Transport.Channel<S>;
import * as AgentMessage from './utils/agent-message.js';
import * as Types from './types.js';
import * as Client from '@ucanto/client';
import * as Server from '@ucanto/server/server';
export { AgentMessage, createService as createUploadService, createServer as createUploadServer, connect as createUploadClient };
//# sourceMappingURL=lib.d.ts.map