export class CustomerNotFound extends Failure {
    /**
     * @param {import('./types.js').AccountDID} accountDID
     */
    constructor(accountDID: import('./types.js').AccountDID);
    accountDID: `did:mailto:${string}`;
    /**
     * @type {'CustomerNotFound'}
     */
    get name(): "CustomerNotFound";
}
export class CustomerExists extends Failure {
    /**
     * @param {import('./types.js').AccountDID} accountDID
     */
    constructor(accountDID: import('./types.js').AccountDID);
    accountDID: `did:mailto:${string}`;
    /**
     * @type {'CustomerExists'}
     */
    get name(): "CustomerExists";
}
export function createService(context: Types.PlanServiceContext): {
    get: Types.ServiceMethod<Types.Capability<"plan/get", `did:mailto:${string}` & `did:${string}` & Types.Phantom<{
        protocol: "did:";
    }>, {}>, Types.PlanGetSuccess, Types.Failure & (Types.PlanGetFailure | undefined)>;
    set: Types.ServiceMethod<Types.Capability<"plan/set", `did:mailto:${string}` & `did:${string}` & Types.Phantom<{
        protocol: "did:";
    }>, Pick<{
        product: `did:${string}:${string}` & `did:${string}` & Types.Phantom<{
            protocol: "did:";
        }>;
    }, "product">>, Types.Unit, Types.Failure & (Types.PlanSetFailure | undefined)>;
    'create-admin-session': Types.ServiceMethod<Types.Capability<"plan/create-admin-session", `did:mailto:${string}` & `did:${string}` & Types.Phantom<{
        protocol: "did:";
    }>, Pick<{
        returnURL: string;
    }, "returnURL">>, Types.PlanCreateAdminSessionSuccess, Types.Failure & (Types.PlanCreateAdminSessionFailure | undefined)>;
};
import { Failure } from '@ucanto/server';
import * as Types from './types.js';
//# sourceMappingURL=plan.d.ts.map