export function createService(context: Types.RateLimitServiceContext): {
    add: Types.ServiceMethod<Types.Capability<"rate-limit/add", `did:${string}:${string}` & `did:${string}` & Types.Phantom<{
        protocol: "did:";
    }>, Pick<{
        subject: string;
        rate: number;
    }, "subject" | "rate">>, {
        id: string;
    }, Types.Failure>;
    remove: Types.ServiceMethod<Types.Capability<"rate-limit/remove", `did:${string}:${string}` & `did:${string}` & Types.Phantom<{
        protocol: "did:";
    }>, Pick<{
        id: string;
    }, "id">>, Types.Unit, Types.Failure>;
    list: Types.ServiceMethod<Types.Capability<"rate-limit/list", `did:${string}:${string}` & `did:${string}` & Types.Phantom<{
        protocol: "did:";
    }>, Pick<{
        subject: string;
    }, "subject">>, {
        limits: Types.RateLimit[];
    }, Types.Failure>;
};
import * as Types from './types.js';
//# sourceMappingURL=rate-limit.d.ts.map