export function createService(ctx: API.SpaceServiceContext & API.BlobServiceContext & API.IndexServiceContext & API.UsageServiceContext): {
    info: Provider.ServiceMethod<Provider.API.Capability<"space/info", `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
        protocol: "did:";
    }>, {}>, API.SpaceInfoSuccess, Space.Store.Schema.Error | (Space.Store.Schema.Error & API.SpaceUnknown)>;
    blob: {
        add: Provider.ServiceMethod<{
            can: "space/blob/add";
            with: `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
                protocol: "did:";
            }> & `${string}:${string}`;
            nb: Pick<{
                blob: Space.Store.Schema.InferStruct<{
                    digest: Space.Store.Schema.Schema<Uint8Array, unknown>;
                    size: Space.Store.Schema.NumberSchema<number & Provider.API.Phantom<{
                        typeof: "integer";
                    }>, unknown>;
                }>;
            }, "blob"> & Partial<Pick<{
                blob: Space.Store.Schema.InferStruct<{
                    digest: Space.Store.Schema.Schema<Uint8Array, unknown>;
                    size: Space.Store.Schema.NumberSchema<number & Provider.API.Phantom<{
                        typeof: "integer";
                    }>, unknown>;
                }>;
            }, never>>;
        }, API.BlobAddSuccess, API.BlobAddFailure>;
        list: Provider.ServiceMethod<{
            can: "space/blob/list";
            with: `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
                protocol: "did:";
            }> & `${string}:${string}`;
            nb: Pick<{
                cursor: string | undefined;
                size: (number & Provider.API.Phantom<{
                    typeof: "integer";
                }>) | undefined;
            }, never> & Partial<Pick<{
                cursor: string | undefined;
                size: (number & Provider.API.Phantom<{
                    typeof: "integer";
                }>) | undefined;
            }, "size" | "cursor">>;
        }, API.BlobListSuccess, Space.Store.Schema.Error>;
        remove: Provider.ServiceMethod<{
            can: "space/blob/remove";
            with: `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
                protocol: "did:";
            }> & `${string}:${string}`;
            nb: Pick<{
                digest: Uint8Array;
            }, "digest"> & Partial<Pick<{
                digest: Uint8Array;
            }, never>>;
        }, API.BlobRemoveSuccess, Space.Store.Schema.Error>;
        get: {
            0: {
                1: Provider.ServiceMethod<{
                    can: "space/blob/get/0/1";
                    with: `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
                        protocol: "did:";
                    }> & `${string}:${string}`;
                    nb: Pick<{
                        digest: Uint8Array;
                    }, "digest"> & Partial<Pick<{
                        digest: Uint8Array;
                    }, never>>;
                }, API.BlobGetSuccess, Space.Store.Schema.Error>;
            };
        };
    };
    index: {
        add: Provider.ServiceMethod<{
            can: "space/index/add";
            with: `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
                protocol: "did:";
            }> & `${string}:${string}`;
            nb: Pick<{
                index: Provider.API.Link<unknown, Provider.API.MulticodecCode<514, "CAR">, number, 1>;
            }, "index"> & Partial<Pick<{
                index: Provider.API.Link<unknown, Provider.API.MulticodecCode<514, "CAR">, number, 1>;
            }, never>>;
        }, Provider.Unit, API.IndexAddFailure>;
    };
    content: {
        serve: {
            egress: {
                record: Provider.ServiceMethod<Provider.API.Capability<"space/content/serve/egress/record", `did:key:${string}` & `did:${string}` & Provider.API.Phantom<{
                    protocol: "did:";
                }>, Pick<{
                    resource: Provider.API.Link<unknown, number, number, 0 | 1>;
                    bytes: number & Provider.API.Phantom<{
                        typeof: "integer";
                    }>;
                    servedAt: number & Provider.API.Phantom<{
                        typeof: "integer";
                    }>;
                }, "bytes" | "resource" | "servedAt">>, API.EgressRecordSuccess, Space.Store.Schema.Error | (Space.Store.Schema.Error & API.ConsumerNotFound)>;
            };
        };
    };
};
import * as API from './types.js';
//# sourceMappingURL=space.d.ts.map