/**
 * @param {API.StoreServiceContext} context
 */
export function createService(context: API.StoreServiceContext): {
    add: API.ServiceMethod<{
        can: "store/add";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            link: API.Link<unknown, 514, number, 1>;
            size: number & API.Phantom<{
                typeof: "integer";
            }>;
            origin: API.Link<unknown, number, number, 0 | 1> | undefined;
        }, "link" | "size"> & Partial<Pick<{
            link: API.Link<unknown, 514, number, 1>;
            size: number & API.Phantom<{
                typeof: "integer";
            }>;
            origin: API.Link<unknown, number, number, 0 | 1> | undefined;
        }, "origin">>;
    }, API.StoreAddSuccess, API.Failure>;
    get: API.ServiceMethod<{
        can: "store/get";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            link: API.Link<unknown, 514, number, 1> | undefined;
        }, never> & Partial<Pick<{
            link: API.Link<unknown, 514, number, 1> | undefined;
        }, "link">>;
    }, API.StoreListItem, API.StoreGetFailure>;
    list: API.ServiceMethod<{
        can: "store/list";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            cursor: string | undefined;
            size: (number & API.Phantom<{
                typeof: "integer";
            }>) | undefined;
            pre: boolean | undefined;
        }, never> & Partial<Pick<{
            cursor: string | undefined;
            size: (number & API.Phantom<{
                typeof: "integer";
            }>) | undefined;
            pre: boolean | undefined;
        }, "size" | "cursor" | "pre">>;
    }, API.StoreListSuccess, API.Failure>;
    remove: API.ServiceMethod<{
        can: "store/remove";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            link: API.Link<unknown, 514, number, 1>;
        }, "link"> & Partial<Pick<{
            link: API.Link<unknown, 514, number, 1>;
        }, never>>;
    }, API.StoreRemoveSuccess, API.StoreRemoveFailure>;
};
import * as API from './types.js';
//# sourceMappingURL=store.d.ts.map