export function createService(context: API.UploadServiceContext): {
    conclude: API.ServiceMethod<{
        can: "ucan/conclude";
        with: `did:${string}:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            receipt: API.Link<unknown, number, number, 0 | 1>;
        }, "receipt"> & Partial<Pick<{
            receipt: API.Link<unknown, number, number, 0 | 1>;
        }, never>>;
    }, API.Timestamp, API.UCANConcludeFailure>;
    revoke: API.ServiceMethod<{
        can: "ucan/revoke";
        with: `did:${string}:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            ucan: API.UCANLink<API.Capabilities, API.MulticodecCode<number, string>, API.SigAlg>;
            proof: API.UCANLink<API.Capabilities, API.MulticodecCode<number, string>, API.SigAlg>[] | undefined;
        }, "ucan"> & Partial<Pick<{
            ucan: API.UCANLink<API.Capabilities, API.MulticodecCode<number, string>, API.SigAlg>;
            proof: API.UCANLink<API.Capabilities, API.MulticodecCode<number, string>, API.SigAlg>[] | undefined;
        }, "proof">>;
    }, API.Timestamp, API.UCANRevokeFailure>;
};
import * as API from './types.js';
//# sourceMappingURL=ucan.d.ts.map