/**
 * @param {import('@ucanto/interface').Invocation} concludeFx
 */
export function getConcludeReceipt(concludeFx: import('@ucanto/interface').Invocation): {
    store: import("@ucanto/core/dag").BlockStore<unknown>;
    root: Required<API.Transport.Block<API.ReceiptModel<{}, {}, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>>, number, number, 1>>;
    _ran: API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>> | API.UCANLink<[API.Capability<API.Ability, `${string}:${string}`, unknown>], API.MulticodecCode<number, string>, API.SigAlg> | undefined;
    _fx: API.Effects | undefined;
    _signature: API.SignatureView<API.OutcomeModel<{}, {}, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>>, API.SigAlg> | undefined;
    _proofs: API.Proof<API.Capabilities>[] | undefined;
    _issuer: API.Principal<`did:${string}:${string}`> | undefined;
    readonly ran: API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>> | API.UCANLink<[API.Capability<API.Ability, `${string}:${string}`, unknown>], API.MulticodecCode<number, string>, API.SigAlg>;
    readonly proofs: API.Proof<API.Capabilities>[];
    link(): API.Link<API.ReceiptModel<{}, {}, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>>, number, number, 1>;
    readonly meta: API.Meta;
    readonly issuer: API.Principal<`did:${string}:${string}`> | undefined;
    readonly out: API.Result<{}, {}>;
    readonly fx: API.Effects;
    readonly signature: API.SignatureView<API.OutcomeModel<{}, {}, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>>, API.SigAlg>;
    verifySignature(signingPrincipal: API.Crypto.Verifier<API.SigAlg>): API.Crypto.Await<{
        ok: {};
        error?: undefined;
    } | {
        error: Error;
        ok?: undefined;
    }>;
    buildIPLDView(): any;
    iterateIPLDBlocks(): Generator<API.Transport.Block<any, number, number, 1>, void, undefined>;
};
/**
 * @param {API.Signer} id
 * @param {API.Verifier} serviceDid
 * @param {API.Receipt} receipt
 */
export function createConcludeInvocation(id: API.Signer, serviceDid: API.Verifier, receipt: API.Receipt): API.IssuedInvocationView<{
    can: "ucan/conclude";
    with: `did:${string}:${string}` & `did:${string}` & API.Phantom<{
        protocol: "did:";
    }>;
    nb: import("@ucanto/validator").InferStruct<{
        receipt: import("@ucanto/core/schema").Schema<API.Link<unknown, number, number, 0 | 1>, any>;
    }>;
}>;
export function ucanConcludeProvider(context: API.ConcludeServiceContext): API.ServiceMethod<API.UCANConclude, API.UCANConcludeSuccess, API.UCANConcludeFailure>;
import * as API from '../types.js';
import { Receipt } from '@ucanto/core';
//# sourceMappingURL=conclude.d.ts.map