/**
 * @param {API.UploadServiceContext} context
 */
export function createService(context: API.UploadServiceContext): {
    add: API.ServiceMethod<{
        can: "upload/add";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            root: API.Link<unknown, number, number, 0 | 1>;
            shards: API.Link<unknown, API.MulticodecCode<514, "CAR">, number, 1>[] | undefined;
        }, "root"> & Partial<Pick<{
            root: API.Link<unknown, number, number, 0 | 1>;
            shards: API.Link<unknown, API.MulticodecCode<514, "CAR">, number, 1>[] | undefined;
        }, "shards">>;
    }, API.UploadAddSuccess, API.Failure>;
    get: API.ServiceMethod<{
        can: "upload/get";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            root: API.Link<unknown, number, number, 0 | 1> | undefined;
        }, never> & Partial<Pick<{
            root: API.Link<unknown, number, number, 0 | 1> | undefined;
        }, "root">>;
    }, API.UploadListItem, API.UploadGetFailure>;
    list: API.ServiceMethod<{
        can: "upload/list";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            cursor: string | undefined;
            size: (number & API.Phantom<{
                typeof: "integer";
            }>) | undefined;
            pre: boolean | undefined;
        }, never> & Partial<Pick<{
            cursor: string | undefined;
            size: (number & API.Phantom<{
                typeof: "integer";
            }>) | undefined;
            pre: boolean | undefined;
        }, "size" | "cursor" | "pre">>;
    }, API.UploadListSuccess, API.Failure>;
    remove: API.ServiceMethod<{
        can: "upload/remove";
        with: `did:key:${string}` & `did:${string}` & API.Phantom<{
            protocol: "did:";
        }> & `${string}:${string}`;
        nb: Pick<{
            root: API.Link<unknown, number, number, 0 | 1>;
        }, "root"> & Partial<Pick<{
            root: API.Link<unknown, number, number, 0 | 1>;
        }, never>>;
    }, API.UploadAddSuccess, API.Failure>;
};
import * as API from './types.js';
//# sourceMappingURL=upload.d.ts.map