/**
 * @template D
 * @typedef {Record<string,Ucanto.ByteView<D>>} DictCidToCarBytes
 */
/**
 * encode a set of delegations into a format suitable for a ucanto response.
 * the ucanto response is likely going to be encoded to CBOR.
 * encode the set to a dict, where keys are a CIDs of the delegation, and
 *
 * @template {Ucanto.Capabilities} Capabilities
 * @param {Iterable<Ucanto.Delegation<Capabilities>>} delegations
 * @returns {DictCidToCarBytes<Ucanto.Delegation<Capabilities>>}
 */
export function encode<Capabilities extends Ucanto.Capabilities>(delegations: Iterable<Ucanto.Delegation<Capabilities>>): Record<string, Ucanto.ByteView<Ucanto.Delegation<Capabilities>>>;
/**
 * @param {DictCidToCarBytes<Ucanto.Delegation>} encoded
 * @returns {Iterable<Ucanto.Delegation>}
 */
export function decode(encoded: DictCidToCarBytes<Ucanto.Delegation>): Iterable<Ucanto.Delegation>;
export type DictCidToCarBytes<D> = Record<string, Ucanto.ByteView<D>>;
import * as Ucanto from '@ucanto/interface';
//# sourceMappingURL=delegations-response.d.ts.map