/**
 * @param {string | URL} url
 * @param {Types.AccessServiceContext} env
 */
export function authorizeFromUrl(url: string | URL, env: Types.AccessServiceContext): Promise<{
    error: Error;
    ok?: undefined;
} | {
    ok: {
        email: `${string}@${string}`;
        audience: `did:${string}:${string}`;
        ucan: string;
        facts: Types.Fact[];
    };
    error?: undefined;
}>;
/**
 * @param {string} encodedUcan
 * @param {Types.AccessServiceContext} env
 */
export function authorize(encodedUcan: string, env: Types.AccessServiceContext): Promise<{
    error: Error;
    ok?: undefined;
} | {
    ok: {
        email: `${string}@${string}`;
        audience: `did:${string}:${string}`;
        ucan: string;
        facts: Types.Fact[];
    };
    error?: undefined;
}>;
import * as Types from './types.js';
//# sourceMappingURL=validate.d.ts.map