/**
 * @param {API.Receipt} receipt
 */
export function parseBlobAddReceiptNext(receipt: API.Receipt): {
    allocate: {
        task: API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>;
        receipt: API.Receipt<API.BlobAllocateSuccess, API.BlobAllocateFailure, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>, API.SigAlg>;
    };
    put: {
        task: API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>;
        receipt: API.Receipt<{}, API.Failure, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>, API.SigAlg> | undefined;
    };
    accept: {
        site: API.Delegation<API.Capabilities>;
        task: API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>;
        receipt: API.Receipt<API.BlobAcceptSuccess, API.BlobAcceptFailure, API.Invocation<API.Capability<API.Ability, `${string}:${string}`, unknown>>, API.SigAlg> | undefined;
    };
};
export function uploadBlob(context: API.UcantoServerTestContext, { connection, issuer, audience, with: resource, proofs }: {
    connection: API.ConnectionView<API.Service>;
    issuer: API.Signer;
    audience: API.Verifier;
    with: API.SpaceDID;
    proofs: API.Delegation[];
}, content: {
    cid: API.UnknownLink;
    bytes: Uint8Array;
}): Promise<void>;
import * as API from '../../src/types.js';
import { Receipt } from '@ucanto/core';
import { Delegation } from '@ucanto/core';
//# sourceMappingURL=blob.d.ts.map