/**
 * @implements {Types.AllocationsStorage}
 */
export class AllocationsStorage implements Types.AllocationsStorage {
    /** @type {(Types.BlobAddInput & Types.BlobListItem)[]} */
    items: (Types.BlobAddInput & Types.BlobListItem)[];
    /**
     * @param {Types.BlobAddInput} input
     * @returns {ReturnType<Types.AllocationsStorage['insert']>}
     */
    insert({ space, cause, ...output }: Types.BlobAddInput): ReturnType<Types.AllocationsStorage['insert']>;
    /**
     * @param {Types.DID} space
     * @param {Types.MultihashDigest} digest
     * @returns {ReturnType<Types.AllocationsStorage['get']>}
     */
    get(space: Types.DID, digest: Types.MultihashDigest): ReturnType<Types.AllocationsStorage['get']>;
    /**
     * @param {Types.DID} space
     * @param {Types.MultihashDigest} digest
     * @returns {ReturnType<Types.AllocationsStorage['exists']>}
     */
    exists(space: Types.DID, digest: Types.MultihashDigest): ReturnType<Types.AllocationsStorage['exists']>;
    /**
     * @param {Types.DID} space
     * @param {Types.MultihashDigest} digest
     * @returns {ReturnType<Types.AllocationsStorage['remove']>}
     */
    remove(space: Types.DID, digest: Types.MultihashDigest): ReturnType<Types.AllocationsStorage['remove']>;
    /**
     * @param {Types.DID} space
     * @param {Types.ListOptions} options
     * @returns {ReturnType<Types.AllocationsStorage['list']>}
     */
    list(space: Types.DID, { cursor, pre, size }?: Types.ListOptions): ReturnType<Types.AllocationsStorage['list']>;
}
import * as Types from '../../src/types.js';
//# sourceMappingURL=allocations-storage.d.ts.map