/**
 * @implements {Types.RateLimitsStorage}
 */
export class RateLimitsStorage implements Types.RateLimitsStorage {
    /**
     * @type {Record<string, { id: string, subject: string, rate: number}>}}
     */
    rateLimits: Record<string, {
        id: string;
        subject: string;
        rate: number;
    }>;
    nextID: number;
    /**
     *
     * @param {string} subject
     * @param {number} rate
     * @returns
     */
    add(subject: string, rate: number): Promise<{
        ok: {
            id: string;
        };
    }>;
    /**
     *
     * @param {string} subject
     * @returns
     */
    list(subject: string): Promise<{
        ok: {
            id: string;
            subject: string;
            rate: number;
        }[];
    }>;
    /**
     *
     * @param {string} id
     */
    remove(id: string): Promise<{
        ok: {};
    }>;
}
import * as Types from '../../src/types.js';
//# sourceMappingURL=rate-limits-storage.d.ts.map