/**
 * @implements {API.StoreTable}
 */
export class StoreTable implements API.StoreTable {
    /** @type {(API.StoreAddInput & API.StoreListItem)[]} */
    items: (API.StoreAddInput & API.StoreListItem)[];
    /**
     * @param {API.StoreAddInput} input
     * @returns {ReturnType<API.StoreTable['insert']>}
     */
    insert({ space, issuer, invocation, ...output }: API.StoreAddInput): ReturnType<API.StoreTable['insert']>;
    /**
     * @param {API.UnknownLink} link
     * @returns {ReturnType<API.StoreTable['inspect']>}
     */
    inspect(link: API.UnknownLink): ReturnType<API.StoreTable['inspect']>;
    /**
     * @param {API.DID} space
     * @param {API.UnknownLink} link
     * @returns {ReturnType<API.StoreTable['get']>}
     */
    get(space: API.DID, link: API.UnknownLink): ReturnType<API.StoreTable['get']>;
    /**
     * @param {API.DID} space
     * @param {API.UnknownLink} link
     * @returns {ReturnType<API.StoreTable['exists']>}
     */
    exists(space: API.DID, link: API.UnknownLink): ReturnType<API.StoreTable['exists']>;
    /**
     * @param {API.DID} space
     * @param {API.UnknownLink} link
     * @returns {ReturnType<API.StoreTable['remove']>}
     */
    remove(space: API.DID, link: API.UnknownLink): ReturnType<API.StoreTable['remove']>;
    /**
     * @param {API.DID} space
     * @param {API.ListOptions} options
     * @returns {ReturnType<API.StoreTable['list']>}
     */
    list(space: API.DID, { cursor, pre, size }?: API.ListOptions): ReturnType<API.StoreTable['list']>;
}
import * as API from '../../src/types.js';
//# sourceMappingURL=store-table.d.ts.map