/**
 * @implements {API.UploadTable}
 */
export class UploadTable implements API.UploadTable {
    /** @type {(API.UploadListItem & API.UploadAddInput)[]} */
    items: (API.UploadListItem & API.UploadAddInput)[];
    /**
     * @param {API.UnknownLink} link
     * @returns {ReturnType<API.UploadTable['inspect']>}
     */
    inspect(link: API.UnknownLink): ReturnType<API.UploadTable['inspect']>;
    /**
     * @param {API.UploadAddInput} input
     * @returns {ReturnType<API.UploadTable['upsert']>}
     */
    upsert({ space, issuer, invocation, root, shards }: API.UploadAddInput): ReturnType<API.UploadTable['upsert']>;
    /**
     * @param {API.DID} space
     * @param {API.UnknownLink} root
     * @returns {ReturnType<API.UploadTable['remove']>}
     */
    remove(space: API.DID, root: API.UnknownLink): ReturnType<API.UploadTable['remove']>;
    /**
     * @param {API.DID} space
     * @param {API.UnknownLink} root
     * @returns {ReturnType<API.UploadTable['get']>}
     */
    get(space: API.DID, root: API.UnknownLink): ReturnType<API.UploadTable['get']>;
    /**
     * @param {API.DID} space
     * @param {API.UnknownLink} link
     * @returns {ReturnType<API.UploadTable['exists']>}
     */
    exists(space: API.DID, link: API.UnknownLink): ReturnType<API.UploadTable['exists']>;
    /**
     * @param {API.DID} space
     * @param {API.ListOptions} options
     * @returns {ReturnType<API.UploadTable['list']>}
     */
    list(space: API.DID, { cursor, pre, size }?: API.ListOptions): ReturnType<API.UploadTable['list']>;
}
import * as API from '../../src/types.js';
//# sourceMappingURL=upload-table.d.ts.map