/**
 * @param {import('@ucanto/interface').Principal} audience
 */
export function createSpace(audience: import('@ucanto/interface').Principal): Promise<{
    proof: API.Delegation<[{
        can: "*";
        with: `did:key:${string}`;
    }]>;
    space: ed25519.EdSigner;
    spaceDid: `did:key:${string}`;
}>;
/** @param {number} size */
export function randomBytes(size: number): Promise<Uint8Array>;
/** @param {number} size */
export function randomCAR(size: number): Promise<Blob & {
    cid: API.Link<Partial<CAR.codec.Model>, API.MulticodecCode<514, "CAR">, number, 1>;
    roots: CID<any, 85, 18, 1>[];
}>;
export function randomCID(): Promise<CID<any, 85, 18, 1>>;
/** did:key:z6Mkk89bC3JrVqKie71YEcc5M1SMVxuCgNx6zLZ8SYJsxALi */
export const alice: ed25519.EdSigner;
/** did:key:z6MkffDZCkCTWreg8868fG1FGFogcJj5X6PY93pPcWDn9bob */
export const bob: ed25519.EdSigner;
/** did:key:z6MktafZTREjJkvV5mfJxcLpNBoVPwDLhTuMg9ng7dY4zMAL */
export const mallory: ed25519.EdSigner;
export const service: API.Signer<"did:web:test.web3.storage", ed25519.SigAlg>;
export function registerSpace(audience: API.Principal & API.Signer, context: import('./types.js').UcantoServerTestContext, username?: string | undefined): Promise<{
    proof: API.Delegation<[{
        can: "*";
        with: `did:key:${string}`;
    }]>;
    space: ed25519.EdSigner;
    spaceDid: `did:key:${string}`;
    account: API.UCAN.Signer<`did:mailto:test.web3.storage:${string}`, 53248>;
}>;
import * as API from '../src/types.js';
import { ed25519 } from '@ucanto/principal';
import { CID } from 'multiformats';
//# sourceMappingURL=util.d.ts.map